#!/usr/bin/env python3

from gi.repository import Gtk

class ComipoliPreference(Gtk.Dialog):
    def __init__(self, app):
        Gtk.Dialog.__init__(self, modal=True, title='Preference')
        # esc
        self.esc = Gtk.CheckButton(label='Esc to Close', active=app.esc_exit)
        # pdf
        self.pdf = Gtk.CheckButton(label='Enable PDF File', active=app.is_pdf)
        # thumbnail_height
        self.thumb = Gtk.SpinButton.new_with_range(0.0, 10000.0, 1.0)
        self.thumb.set_value(app.thumbnail_height)
        self.thumb.props.halign = Gtk.Align.END
        hbox = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL)
        hbox.append(Gtk.Label(label='Thumbnail Height (px)'))
        hbox.append(self.thumb)
        # Pack
        vbox = self.get_content_area()
        vbox.set_orientation(Gtk.Orientation.VERTICAL)
        vbox.append(self.esc)
        vbox.append(self.pdf)
        vbox.append(hbox)

